local name, addon = ...;

function addon.initCheckFrame(self)
	-- CHECK FRAME
	self:SetMovable(true);
	self:EnableMouse(true);
	self:RegisterForDrag("LeftButton");
	self:SetScript("OnDragStart", self.StartMoving);
	self:SetScript("OnDragStop", self.StopMovingOrSizing);
	self:ClearAllPoints();
	self:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	self:SetHeight(83);
	self:SetWidth(150);
	self:SetPoint("CENTER", 0, 0);
	self:Hide();
	 
	 -- CHECK FRAME HEADER
	local Header = CreateFrame("Frame",nil,self);
	Header:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	Header:SetPoint("TOP",0,7);
	Header:SetHeight(17);
	Header:SetWidth(100);
	local HeaderText = Header:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	HeaderText:SetPoint("TOP",0,-4);
	HeaderText:SetFont("Fonts\\FRIZQT__.TTF", 10);
	HeaderText:SetTextColor(1,1,1,1);
	HeaderText:SetJustifyH("CENTER");
	HeaderText:SetText("WoW Bets");

	 -- OFFER LABEL (Formerly: OfferLbl)
	local OfferLabel = CreateFrame("Frame",nil,self);
	OfferLabel:SetPoint("CENTER",0,20);
	OfferLabel:SetWidth(50);
	OfferLabel:SetHeight(20);
	addon.OfferLabel = OfferLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local OfferLabelText = addon.OfferLabel
	OfferLabelText:SetPoint("CENTER",0,0);
	OfferLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	OfferLabelText:SetTextColor(1,1,1,1);
	OfferLabelText:SetJustifyH("CENTER");

	 -- ACCEPT BUTTON
	addon.AcceptBtn = CreateFrame("Button",nil,self);
	local AcceptBtn = addon.AcceptBtn;
	AcceptBtn:SetNormalTexture("Interface\\COMMON\\Indicator-Green");
	AcceptBtn:SetHighlightTexture("Interface\\COMMON\\Indicator-Green");
	AcceptBtn:SetPushedTexture("Interface\\COMMON\\Indicator-Green");
	AcceptBtn:SetWidth(53);
	AcceptBtn:SetHeight(53);
	AcceptBtn:SetPoint("CENTER",-30,-12);

	 -- DECLINE BUTTON
	addon.DeclineBtn = CreateFrame("Button",nil,self);
	local DeclineBtn = addon.DeclineBtn;
	DeclineBtn:SetNormalTexture("Interface\\COMMON\\Indicator-Red");
	DeclineBtn:SetHighlightTexture("Interface\\COMMON\\Indicator-Red");
	DeclineBtn:SetPushedTexture("Interface\\COMMON\\Indicator-Red");
	DeclineBtn:SetWidth(53);
	DeclineBtn:SetHeight(53);
	DeclineBtn:SetPoint("CENTER",30,-12);
end