local name, addon = ...;
local main,events,check = nil; -- FRAME VARIABLES
local StartBtn,CallBtn,CancelBtn,PlayerBox,RealmBox,AmountBox,InviteBtn,CancelInviteBtn,EnemyFrame,CurrentBetFrame,CurrentRollFrame,ChanceFrame,WinnerFrame,CloseMainBtn = nil; -- MAIN FRAME VARIABLES
local AcceptBtn,DeclineBtn = nil; -- CHECK FRAME VARIABLES

events = addon.EventFrame;
main = addon.MainFrame;
check = addon.CheckFrame;

local function initFrameVars()
	 -- MAIN FRAME VARIABLES
	StartBtn = addon.StartBtn;
	CallBtn = addon.CallBtn;
	CancelBtn = addon.CancelBtn;
	PlayerBox = addon.PlayerBox;
	RealmBox = addon.RealmBox;
	AmountBox = addon.AmountBox;
	InviteBtn = addon.InviteBtn;
	CancelInviteBtn = addon.CancelInviteBtn;
	EnemyFrame = addon.EnemyFrame;
	CurrentBetFrame = addon.CurrentBetFrame;
	CurrentRollFrame = addon.CurrentRollFrame;
	ChanceFrame = addon.ChanceFrame;
	WinnerFrame = addon.WinnerFrame;
	CloseMainBtn = addon.CloseMainBtn;
	
	 -- CHECK FRAME VARIABLES
	AcceptBtn = addon.AcceptBtn;
	DeclineBtn = addon.DeclineBtn;
end

local function lostRoll(oldRoll)
	if (oldRoll > WBi_SavedVar['worst']['roll']) then
		WBi_SavedVar['worst']['roll'] = oldRoll;
	end
	if (addon.GetChance(oldRoll) < WBi_SavedVar['worst']['chance']) then
		WBi_SavedVar['worst']['chance'] = addon.GetChance(oldRoll);
	end
	if (addon.vars['rollCount'] > WBi_SavedVar['longest']) then
		WBi_SavedVar['longest'] = addon.vars['rollCount'];
	end
	if (addon.vars['curBid'] > WBi_SavedVar['highLose']) then
		WBi_SavedVar['highLose'] = addon.vars['curBid'];
	end
	WBi_SavedVar['totLosing'] = WBi_SavedVar['totLosing'] + addon.vars['curBid'];
	WBi_SavedVar['characters'][UnitName("player")]['overall'] = WBi_SavedVar['characters'][UnitName("player")]['overall'] - addon.vars['curBid'];
	WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']]['overall'] = WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']]['overall'] - addon.vars['curBid'];

	SendChatMessage("-{skull}-"..UnitName("player").." lost!", "CHANNEL",nil,addon.vars['channel']);
	addon.EndGame(addon.vars['rollOutcome'],addon.vars['guestName'],"You Lost!");
end

local function GoldCheck(bet)
	local modBet = tonumber(bet.."0000");
	
	if (modBet > GetMoney()) then
		return false;
	else
		return true;
	end	
end

function addon.initMainFrameFunctions()
	initFrameVars();
	 -- ACCEPT BUTTON
	AcceptBtn:SetScript("OnClick",function()
		local isGold = GoldCheck(addon.vars['curBid']);
		
		if (isGold) then
			local x,y = WBi_SavedVar['characters'][UnitName("player")]['Main']['X'], WBi_SavedVar['characters'][UnitName("player")]['Main']['Y'];
			
			if (WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']] == nil) then
				WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']] = {};
				WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']]['games'] = 1;
				WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']]['wins'] = 0;
				WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']]['cancel'] = 0;
				WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']]['overall'] = 0;
			else
				WBi_SavedVar['characters'][UnitName("player")]['games'] = WBi_SavedVar['characters'][UnitName("player")]['games'] + 1;
				WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']]['games'] = WBi_SavedVar['characters'][UnitName("player")][addon.vars['guestFullName']]['games'] + 1;
			end
			local channelCheck = GetChannelName("WoWBets");
			local chance = addon.GetChance(addon.vars['curBid']);
			EnemyFrame:SetText(addon.vars['guestName']);
			CurrentBetFrame:SetText(addon.vars['curBid'].."g");
			CurrentRollFrame:SetText(addon.vars['curBid']);
			ChanceFrame:SetText(chance.."% to win");
			addon.ModFuncBtn("cancel",true);
			addon.ModEditArea("hide");
			CloseMainBtn:Hide();

			SendChatMessage("Sure","WHISPER",nil,addon.vars['guestFullName']);
			if (channelCheck == 0) then
				JoinChannelByName("WoWBets");
				ChatFrame_AddChannel(DEFAULT_CHAT_FRAME, "WoWBets");
			end
			events:RegisterEvent("CHAT_MSG_CHANNEL");
			addon.vars['channel'] = GetChannelName("WoWBets");
			ChangeChatColor("CHANNEL"..addon.vars['channel'],0/255,255/255,255/255);
			main:Show();
			check:Hide();
			if (addon.StatsFrame:IsShown()) then
				if (x == 0 and y == 0) then
					addon.MainFrame:SetPoint("TOPLEFT", 230, -50);
				end
			else 
				if (x == 0 and y == 0) then
					addon.MainFrame:SetPoint("TOPLEFT", 25, -50);
				end
			end
		else
			SendChatMessage("I don't have that much gold","WHISPER",nil,addon.vars['guestFullName']);
			check:Hide();
		end
	end);
	 
	 -- DECLINE BUTTON
	DeclineBtn:SetScript("OnClick",function()
		SendChatMessage("No thanks","WHISPER",nil,addon.vars['guestFullName']);
		check:Hide();
		addon.vars['guestName'] = nil;
		addon.vars['guestFullName'] = nil;
		addon.vars['guestRealm'] = nil;
		addon.vars['curBid'] = nil;
	end);
	 
	 -- INVITE PLAYER BUTTON
	InviteBtn:SetScript("OnClick", function(self)
		addon.vars['checkName'] = PlayerBox:GetText();
		local bet = tonumber(AmountBox:GetText());
		local realm = RealmBox:GetText();
		local copper = GetMoney();
		local isGold = GoldCheck(bet);
		
		if (addon.vars['checkName'] == "" or addon.vars['checkName'] == nil) then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00 Please enter a player's name.");
		elseif (bet == "" or bet == nil or bet == 0 or isG ~= nil) then
			local isG = string.find(bet, "g");
			if (isG ~= nil) then
				DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00 Please remove the \"g\" in your bet.");
			else
				DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00 Please enter a valid bet.");
			end
		elseif (not isGold) then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00 You cannot bet more gold than you have.");
		else
			events:RegisterEvent("CHAT_MSG_SYSTEM");
			addon.vars['curBid'] = tonumber(bet);
			SendChatMessage("WoW Bets? "..bet.."g","WHISPER",nil,addon.vars['checkName'].."-"..realm);
			addon.EditBoxState(nil,false);
			self:Hide();
			addon.vars['playCheck'] = true;
		end
	end);

	 -- CANCEL INVITE BUTTON
	CancelInviteBtn:SetScript("OnClick", function(self)
		local player = PlayerBox:GetText();
		local realm = RealmBox:GetText();

		SendChatMessage("Cancelled Invitation","WHISPER",nil,player.."-"..realm);
		
		addon.EditBoxState("full",true);
		
		self:Hide();
		InviteBtn:Show();
		addon.vars['checkName'] = nil;
	end)

	 -- START BET BUTTON
	StartBtn:SetScript("OnClick",function()
		local bet = tonumber(AmountBox:GetText());
		
		if (bet == nil or bet == 0) then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00 Please enter a valid bet amount.");
		end
		
		addon.vars['isStarted'] = true;
		addon.vars['rollOutcome'] = math.random(bet);
		
		if (addon.vars['rollOutcome'] > 1) then
			local chance = addon.GetChance(addon.vars['rollOutcome']);
			addon.CheckProgress(bet);
			ChanceFrame:SetText(chance.."% to win");
			SendChatMessage(UnitName("player").." bet "..addon.vars['guestName'].." "..tostring(bet).."g", "CHANNEL",nil,addon.vars['channel']);
			SendChatMessage("-{star}-"..UnitName("player").." rolled "..tostring(addon.vars['rollOutcome']), "CHANNEL",nil,addon.vars['channel']);
			-- Update Status Area
			CurrentRollFrame:SetText(tostring(addon.vars['rollOutcome']));
			addon.ModFuncBtn("start",false);
		else
			lostRoll(bet);
		end
	end);

	 -- CALL BET BUTTON
	CallBtn:SetScript("OnClick",function()
		local oldRoll = addon.vars['rollOutcome'];
		addon.vars['rollOutcome'] = math.random(addon.vars['rollOutcome']);
		
		if (addon.vars['rollOutcome'] > 1) then
			local chance = addon.GetChance(addon.vars['rollOutcome']);
			addon.CheckProgress(addon.vars['rollOutcome']);
			ChanceFrame:SetText(chance.."% to win");
			SendChatMessage("-{star}-"..UnitName("player").." rolled "..addon.vars['rollOutcome'], "CHANNEL",nil,addon.vars['channel']);
		
			addon.vars['rollCount'] = addon.vars['rollCount'] + 1;
			-- Update Status Area
			CurrentRollFrame:SetText(addon.vars['rollOutcome']);
			-- Disable Call Button
			addon.ModFuncBtn("call",false);
		else
			lostRoll(oldRoll);			
		end
	 end);
	 
	  -- CANCEL BUTTON
	CancelBtn:SetScript("OnClick",function()
		local progress;

		if (addon.vars['rollOutcome'] == nil or addon.vars['rollOutcome'] == 0) then
			progress = 100;
		else
			progress = addon.CheckProgress(addon.vars['rollOutcome']);
		end
		
		if (progress > 75) then
			SendChatMessage("-{cross}-"..UnitName("player").." cancelled!", "CHANNEL",nil,addon.vars['channel']);
			WBi_SavedVar['characters'][UnitName("player")]['cancel'] = WBi_SavedVar['characters'][UnitName("player")]['cancel'] + 1;
			events:UnregisterEvent("CHAT_MSG_CHANNEL");
			addon.ResetGame('full');
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00 You cannot cancel when the roll is below 75% of the bet.");
		end
	end);
end