local name, addon = ...

function addon.initMainFrame(self)
	 -- MAIN FRAME
	self:SetMovable(true);
	self:EnableMouse(true);
	self:RegisterForDrag("LeftButton");
	self:SetScript("OnDragStart", self.StartMoving);
	self:SetScript("OnDragStop", self.StopMovingOrSizing);
	--self:ClearAllPoints();
	self:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	self:SetHeight(325); -- 180 when upper group frame hidden
	self:SetWidth(200);
	self:Hide();
	 
	 -- MAIN FRAME HEADER
	local Header = CreateFrame("Frame",nil,self);
	Header:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	Header:SetPoint("TOP",0,7);
	Header:SetHeight(17);
	Header:SetWidth(100);
	local HeaderText = Header:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	HeaderText:SetPoint("TOP",0,-4);
	HeaderText:SetFont("Fonts\\FRIZQT__.TTF", 10);
	HeaderText:SetTextColor(1,1,1,1);
	HeaderText:SetJustifyH("CENTER");
	HeaderText:SetText("WoW Bets");

	 --MAIN FRAME STATUS TEXT
	local StatusText = self:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	StatusText:SetPoint("TOP",0,-12);
	StatusText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	StatusText:SetTextColor(1,1,1,1);
	StatusText:SetJustifyH("CENTER");
	StatusText:SetText("STATUS: |cFF33CC33 ONLINE");

	 -- START BID BUTTON
	addon.StartBtn = CreateFrame("Button",nil,self);
	local StartBtn = addon.StartBtn;
	StartBtn:SetNormalTexture("Interface\\Buttons\\UI-GroupLoot-Coin-Up");
	StartBtn:SetHighlightTexture("Interface\\Buttons\\UI-GroupLoot-Coin-Highlight");
	StartBtn:SetPushedTexture("Interface\\Buttons\\UI-GroupLoot-Coin-Down");
	StartBtn:SetDisabledTexture("Interface\\Buttons\\UI-GroupLoot-Coin-Down");
	StartBtn:SetWidth(53);
	StartBtn:SetHeight(53);
	StartBtn:SetPoint("TOP",-57,-29);
	StartBtn:Disable();
	StartBtn:SetAlpha(0.4);

	 -- CALL BID BUTTON
	addon.CallBtn = CreateFrame("Button",nil,self);
	local CallBtn = addon.CallBtn;
	CallBtn:SetNormalTexture("Interface\\Buttons\\UI-GroupLoot-Dice-Up");
	CallBtn:SetHighlightTexture("Interface\\Buttons\\UI-GroupLoot-Dice-Highlight");
	CallBtn:SetPushedTexture("Interface\\Buttons\\UI-GroupLoot-Dice-Down");
	CallBtn:SetDisabledTexture("Interface\\Buttons\\UI-GroupLoot-Dice-Down");
	CallBtn:SetWidth(50);
	CallBtn:SetHeight(50);
	CallBtn:SetPoint("TOP",0,-27);
	CallBtn:Disable();
	CallBtn:SetAlpha(0.4);

	 -- CANCEL BID BUTTON
	addon.CancelBtn = CreateFrame("Button",nil,self);
	local CancelBtn = addon.CancelBtn;
	CancelBtn:SetNormalTexture("Interface\\Buttons\\UI-GroupLoot-Pass-Up");
	CancelBtn:SetHighlightTexture("Interface\\Buttons\\UI-GroupLoot-Pass-Highlight");
	CancelBtn:SetPushedTexture("Interface\\Buttons\\UI-GroupLoot-Pass-Down");
	CancelBtn:SetDisabledTexture("Interface\\Buttons\\UI-GroupLoot-Pass-Down");
	CancelBtn:SetWidth(47);
	CancelBtn:SetHeight(47);
	CancelBtn:SetPoint("TOP",55,-24);
	CancelBtn:Disable();
	CancelBtn:SetAlpha(0.4);

	 -- GROUP FRAME (INPUT BOXES)
	addon.InputGrp = CreateFrame("Frame",nil,self);
	local InputGrp = addon.InputGrp
	InputGrp:SetWidth(195);
	InputGrp:SetHeight(50);
	InputGrp:SetPoint("TOP",0,-75);
	--self.Grp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});

	 -- BET NAME EDITBOX LABEL
	local PlayerLabel = CreateFrame("Frame",nil,InputGrp);
	PlayerLabel:SetPoint("TOPLEFT",5,-5);
	PlayerLabel:SetWidth(50);
	PlayerLabel:SetHeight(20);
	local PlayerLabelText = PlayerLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	PlayerLabelText:SetPoint("LEFT",5,0);
	PlayerLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	PlayerLabelText:SetTextColor(1,1,1,1);
	PlayerLabelText:SetJustifyH("LEFT");
	PlayerLabelText:SetText("Player:");

	 -- BET NAME EDITBOX (Formerly: EdtBx)
	addon.PlayerBox = CreateFrame("EditBox",nil,InputGrp,"InputBoxTemplate");
	local PlayerBox = addon.PlayerBox;
	PlayerBox:SetPoint("TOPLEFT",70,-5);
	PlayerBox:SetWidth(100);
	PlayerBox:SetHeight(20);
	PlayerBox:SetBackdrop(backdrop)
	PlayerBox:SetAutoFocus(false);
	PlayerBox:SetFontObject("GameFontNormal")
	PlayerBox:SetTextInsets(0,0,0,0);
	PlayerBox:SetTextColor(1,1,1,1);

	 -- BET SERVER NAME EDITBOX LABEL (Formerly: SrvBxLbl)
	local RealmBoxLabel = CreateFrame("Frame",nil,InputGrp);
	RealmBoxLabel:SetPoint("TOPLEFT",5,-30);
	RealmBoxLabel:SetWidth(50);
	RealmBoxLabel:SetHeight(20);
	local RealmBoxLabelText = RealmBoxLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	RealmBoxLabelText:SetPoint("LEFT",5,0);
	RealmBoxLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	RealmBoxLabelText:SetTextColor(1,1,1,1);
	RealmBoxLabelText:SetJustifyH("LEFT");
	RealmBoxLabelText:SetText("Server:");

	 -- BET SERVER NAME EDITBOX (Formerly: SrvBx)
	addon.RealmBox = CreateFrame("EditBox",nil,InputGrp,"InputBoxTemplate");
	local RealmBox = addon.RealmBox;
	RealmBox:SetPoint("TOPLEFT",70,-30);
	RealmBox:SetWidth(100);
	RealmBox:SetHeight(20);
	RealmBox:SetBackdrop(backdrop)
	RealmBox:SetAutoFocus(false);
	RealmBox:SetFontObject("GameFontNormal")
	RealmBox:SetTextInsets(0,0,0,0);
	RealmBox:SetTextColor(1,1,1,1);
	RealmBox:SetText(addon.vars['myRealm']);
	
	 -- BET AMOUNT EDITBOX LABEL (Formerly: AmtBxLbl)
	local AmountLabel = CreateFrame("Frame",nil,InputGrp);
	AmountLabel:SetPoint("TOPLEFT",5,-55);
	AmountLabel:SetWidth(50);
	AmountLabel:SetHeight(20);
	local AmountLabelText = AmountLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AmountLabelText:SetPoint("LEFT",5,0);
	AmountLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AmountLabelText:SetTextColor(1,1,1,1);
	AmountLabelText:SetJustifyH("LEFT");
	AmountLabelText:SetText("Amount:");

	 -- BET AMOUNT EDITBOX (Formerly: AmtBx)
	addon.AmountBox = CreateFrame("EditBox",nil,InputGrp,"InputBoxTemplate");
	local AmountBox = addon.AmountBox;
	AmountBox:SetPoint("TOPLEFT",70,-55);
	AmountBox:SetWidth(100);
	AmountBox:SetHeight(20);
	AmountBox:SetBackdrop(backdrop)
	AmountBox:SetAutoFocus(false);
	AmountBox:SetFontObject("GameFontNormal")
	AmountBox:SetTextInsets(0,0,0,0);
	AmountBox:SetTextColor(1,1,1,1);

	 -- INVITE PLATER BUTTON
	addon.InviteBtn = CreateFrame("Button",nil,InputGrp,"UIPanelButtonTemplate");
	local InviteBtn = addon.InviteBtn;
	InviteBtn:SetWidth(80);
	InviteBtn:SetHeight(22);
	InviteBtn:SetPoint("TOP",0,-80);
	InviteBtn:SetText("Invite");

	 -- CANCEL INVITE BUTTON
	addon.CancelInviteBtn = CreateFrame("Button",nil,InputGrp,"UIPanelButtonTemplate");
	local CancelInvite = addon.CancelInviteBtn;
	CancelInvite:SetWidth(80);
	CancelInvite:SetHeight(22);
	CancelInvite:SetPoint("TOP",0,-80);
	CancelInvite:SetText("Cancel");
	CancelInvite:Hide();

	 -- GROUP FRAME (STATUS AREA) (Formerly: GrpStat)
	addon.StatusGrp = CreateFrame("Frame",nil,self);
	local StatusGrp = addon.StatusGrp;
	StatusGrp:SetWidth(180);
	StatusGrp:SetHeight(107);
	StatusGrp:SetPoint("TOP",0,-180); -- -75y when upper group frame hidden
	StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});

	 -- OPPONENT LABEL (Formerly: EnemyLbl)
	local EnemyLabel = CreateFrame("Frame",nil,StatusGrp);
	EnemyLabel:SetPoint("TOPLEFT",3,-7);
	EnemyLabel:SetWidth(50);
	EnemyLabel:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local EnemyLabelText = EnemyLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	EnemyLabelText:SetPoint("TOPLEFT",5,0);
	EnemyLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	EnemyLabelText:SetTextColor(1,1,1,1);
	EnemyLabelText:SetJustifyH("LEFT");
	EnemyLabelText:SetText("Player:");

	 -- OPPONENT NAME FRAME (Formerly: EnemyFrm)
	local EnemyFrame = CreateFrame("Frame",nil,StatusGrp);
	EnemyFrame:SetPoint("TOPLEFT",65,-7);
	EnemyFrame:SetWidth(50);
	EnemyFrame:SetHeight(20);
	addon.EnemyFrame = EnemyFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local EnemyFrameText = addon.EnemyFrame;
	EnemyFrameText:SetPoint("TOPLEFT",5,0);
	EnemyFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	EnemyFrameText:SetTextColor(1,0,0,1);
	EnemyFrameText:SetJustifyH("LEFT");

	 -- CURRENT BET LABEL (Formerly: CurBidLbl)
	local CurrentBetLabel = CreateFrame("Frame",nil,StatusGrp);
	CurrentBetLabel:SetPoint("TOPLEFT",3,-27);
	CurrentBetLabel:SetWidth(50);
	CurrentBetLabel:SetHeight(20);
	local CurrentBetLabelText = CurrentBetLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	CurrentBetLabelText:SetPoint("TOPLEFT",5,0);
	CurrentBetLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	CurrentBetLabelText:SetTextColor(1,1,1,1);
	CurrentBetLabelText:SetJustifyH("LEFT");
	CurrentBetLabelText:SetText("Bet:");

	 -- CURRENT BET FRAME (Formerly: CurBidFrm)
	local CurrentBetFrame = CreateFrame("Frame",nil,StatusGrp);
	CurrentBetFrame:SetPoint("TOPLEFT",65,-27);
	CurrentBetFrame:SetWidth(50);
	CurrentBetFrame:SetHeight(20);
	addon.CurrentBetFrame = CurrentBetFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local CurrentBetFrameText = addon.CurrentBetFrame;
	CurrentBetFrameText:SetPoint("TOPLEFT",5,0);
	CurrentBetFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	CurrentBetFrameText:SetTextColor(1,0,0,1);
	CurrentBetFrameText:SetJustifyH("LEFT");

	 -- CURRENT ROLL LABEL (Formerly: CurRollLbl)
	local CurrentRollLabel = CreateFrame("Frame",nil,StatusGrp);
	CurrentRollLabel:SetPoint("TOPLEFT",3,-47);
	CurrentRollLabel:SetWidth(50);
	CurrentRollLabel:SetHeight(20);
	local CurrentRollLabelText = CurrentRollLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	CurrentRollLabelText:SetPoint("TOPLEFT",5,0);
	CurrentRollLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	CurrentRollLabelText:SetTextColor(1,1,1,1);
	CurrentRollLabelText:SetJustifyH("LEFT");
	CurrentRollLabelText:SetText("Roll:");

	 -- CURRENT ROLL FRAME (Formerly: CurRollFrm)
	local CurrentRollFrame = CreateFrame("Frame",nil,StatusGrp);
	CurrentRollFrame:SetPoint("TOPLEFT",65,-47);
	CurrentRollFrame:SetWidth(50);
	CurrentRollFrame:SetHeight(20);
	addon.CurrentRollFrame = CurrentRollFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local CurrentRollFrameText = addon.CurrentRollFrame;
	CurrentRollFrameText:SetPoint("TOPLEFT",5,0);
	CurrentRollFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	CurrentRollFrameText:SetTextColor(1,0,0,1);
	CurrentRollFrameText:SetJustifyH("LEFT");

	 -- CHANCE LABEL
	local ChanceLabel = CreateFrame("Frame",nil,StatusGrp);
	ChanceLabel:SetPoint("TOPLEFT",3,-67);
	ChanceLabel:SetWidth(50);
	ChanceLabel:SetHeight(20);
	local ChanceLabelText = ChanceLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	ChanceLabelText:SetPoint("TOPLEFT",5,0);
	ChanceLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ChanceLabelText:SetTextColor(1,1,1,1);
	ChanceLabelText:SetJustifyH("LEFT");
	ChanceLabelText:SetText("Chance:");

	 -- CHANCE FRAME
	local ChanceFrame = CreateFrame("Frame",nil,StatusGrp);
	ChanceFrame:SetPoint("TOPLEFT",65,-67);
	ChanceFrame:SetWidth(50);
	ChanceFrame:SetHeight(20);
	addon.ChanceFrame = ChanceFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local ChanceFrameText = addon.ChanceFrame;
	ChanceFrameText:SetPoint("TOPLEFT",5,0);
	ChanceFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	ChanceFrameText:SetTextColor(1,0,0,1);
	ChanceFrameText:SetJustifyH("LEFT");
	
	 -- WINNER LABEL (Formerly: WinnerLbl)
	local WinnerLabel = CreateFrame("Frame",nil,StatusGrp);
	WinnerLabel:SetPoint("TOPLEFT",3,-87);
	WinnerLabel:SetWidth(50);
	WinnerLabel:SetHeight(20);
	local WinnerLabelText = WinnerLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	WinnerLabelText:SetPoint("TOPLEFT",5,0);
	WinnerLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WinnerLabelText:SetTextColor(1,1,1,1);
	WinnerLabelText:SetJustifyH("LEFT");
	WinnerLabelText:SetText("Winner:");

	 -- WINNER FRAME (Formerly: WinnerFrm)
	local WinnerFrame = CreateFrame("Frame",nil,StatusGrp);
	WinnerFrame:SetPoint("TOPLEFT",65,-87);
	WinnerFrame:SetWidth(50);
	WinnerFrame:SetHeight(20);
	addon.WinnerFrame = WinnerFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local WinnerFrameText = addon.WinnerFrame;
	WinnerFrameText:SetPoint("TOPLEFT",5,0);
	WinnerFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WinnerFrameText:SetTextColor(1,0,0,1);
	WinnerFrameText:SetJustifyH("LEFT");

	 -- MAIN FRAME CLOSE ADDON BUTTON (Formerly: CloseBtn)
	addon.CloseMainBtn = CreateFrame("Button",nil,self,"UIPanelButtonTemplate");
	local CloseBtn = addon.CloseMainBtn;
	CloseBtn:SetWidth(80);
	CloseBtn:SetHeight(22);
	CloseBtn:SetText("Go Offline");
	CloseBtn:SetPoint("BOTTOM",0,10);
	CloseBtn:HookScript("OnClick",function()
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00 WoW Bets is now offline.");
		addon.vars['isOpen'] = false;
		addon.EditBoxState("full",true);
		self:Hide();
	end);
	
	 -- END GAME BUTTON (Formerly: EndBtn
	addon.EndGameBtn = CreateFrame("Button",nil,self,"UIPanelButtonTemplate");
	local EndGameBtn = addon.EndGameBtn;
	EndGameBtn:SetWidth(80);
	EndGameBtn:SetHeight(22);
	EndGameBtn:SetPoint("BOTTOM",0,10);
	EndGameBtn:HookScript("OnClick",function( frame )
		frame:Hide();
		PlayerBox:SetText(addon.vars['guestName']);
		RealmBox:SetText(addon.vars['guestRealm']);
		AmountBox:SetText(addon.vars['curBid']);
		addon.ResetGame('partial');
		addon.ModEditArea("show");
		addon.EventFrame:UnregisterEvent("CHAT_MSG_CHANNEL");
		CloseBtn:Show();
	end);
	EndGameBtn:Hide();
	
	 -- PLAYER BOX SCRIPTS
	PlayerBox:HookScript( "OnEditFocusLost", function ( frame )
		local str = frame:GetText();
		frame:SetText(str:gsub("^%l", string.upper));
	end)
	PlayerBox:HookScript( "OnTabPressed", function( frame )
		local str = frame:GetText();
		frame:SetText(str:gsub("^%l", string.upper));
		RealmBox:SetFocus();
	end )
	PlayerBox:HookScript( "OnEscapePressed", function( frame )
		frame:ClearFocus()
	end )
	PlayerBox:HookScript( "OnEnterPressed", function( frame )
		frame:ClearFocus()
	end )
	
	 -- REALM BOX SCRIPTS
	RealmBox:HookScript( "OnEditFocusLost", function ( frame )
		local str = frame:GetText();
		frame:SetText(str:gsub("^%l", string.upper));
		RealmBox:SetFocus();
	end)
	RealmBox:HookScript( "OnTabPressed", function( frame )
		local str = frame:GetText();
		frame:SetText(str:gsub("^%l", string.upper));
		RealmBox:SetFocus();
		if (IsShiftKeyDown()) then
			PlayerBox:SetFocus();
		else
			AmountBox:SetFocus();
		end
	end )
	RealmBox:HookScript( "OnEscapePressed", function( frame )
		frame:ClearFocus()
	end )
	RealmBox:HookScript( "OnEnterPressed", function( frame )
		frame:ClearFocus()
	end )
	
	 -- BET AMOUNT BOX SCRIPTS
	AmountBox:HookScript( "OnTabPressed", function( frame )
		if (IsShiftKeyDown()) then
			RealmBox:SetFocus();
		end
	end )
	AmountBox:HookScript( "OnEscapePressed", function( frame )
		frame:ClearFocus();
	end)
	AmountBox:HookScript( "OnEnterPressed", function( frame )
		frame:ClearFocus();
	end)
end