local name, addon = ...;

function addon.initStatsFrame(self)
	local self = self;
	 -- STATS FRAME
	self:SetMovable(true);
	self:EnableMouse(true);
	self:RegisterForDrag("LeftButton");
	self:SetScript("OnDragStart", self.StartMoving);
	self:SetScript("OnDragStop", self.StopMovingOrSizing);
	--self:ClearAllPoints();
	self:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	self:SetHeight(430);
	self:SetWidth(200);
	--self:SetPoint(WBi_SavedVar['characters'][UnitName("player")]['stat']['a'], WBi_SavedVar['characters'][UnitName("player")]['stat']['x'], WBi_SavedVar['characters'][UnitName("player")]['stat']['y']);
	self:Hide();
	 
	 -- STATS FRAME HEADER
	local Header = CreateFrame("Frame",nil,self);
	Header:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	Header:SetPoint("TOP",0,7);
	Header:SetHeight(17);
	Header:SetWidth(100);
	local HeaderText = Header:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	HeaderText:SetPoint("TOP",0,-4);
	HeaderText:SetFont("Fonts\\FRIZQT__.TTF", 10);
	HeaderText:SetTextColor(1,1,1,1);
	HeaderText:SetJustifyH("CENTER");
	HeaderText:SetText("WoW Bets");

	 -- PLAYER DROP MENU
	addon.PlayerMenu = CreateFrame("Frame", "WBi_PlayerMenu", self, "UIDropDownMenuTemplate");
	local PlayerMenu = addon.PlayerMenu
	PlayerMenu:SetPoint("TOP",0,-11);
	UIDropDownMenu_SetWidth(PlayerMenu, 150);
	UIDropDownMenu_SetText(PlayerMenu, "Select Character");

	 -- BEST BET WON LABEL (Formerly: HighWinLbl)
	local HighWinLabel = CreateFrame("Frame",nil,self);
	HighWinLabel:SetPoint("TOPLEFT",8,-45);
	HighWinLabel:SetWidth(50);
	HighWinLabel:SetHeight(20);
	local HighWinLabelText = HighWinLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	HighWinLabelText:SetPoint("TOPLEFT",5,0);
	HighWinLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	HighWinLabelText:SetTextColor(1,1,1,1);
	HighWinLabelText:SetJustifyH("LEFT");
	HighWinLabelText:SetText("Highest Win:");

	 -- BEST BET WON FRAME (Formerly: HighWinFrm)
	local HighWinFrame = CreateFrame("Frame",nil,self);
	HighWinFrame:SetPoint("TOPLEFT",105,-45);
	HighWinFrame:SetWidth(50);
	HighWinFrame:SetHeight(20);
	addon.HighWinFrame = HighWinFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local HighWinFrameText = addon.HighWinFrame;
	HighWinFrameText:SetPoint("TOPLEFT",5,0);
	HighWinFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	HighWinFrameText:SetTextColor(1,0,0,1);
	HighWinFrameText:SetJustifyH("LEFT");

	 -- HIGHEST BET LOST LABEL (Formerly: HighLoseLbl)
	local HighLoseLabel = CreateFrame("Frame",nil,self);
	HighLoseLabel:SetPoint("TOPLEFT",8,-65);
	HighLoseLabel:SetWidth(50);
	HighLoseLabel:SetHeight(20);
	local HighLoseLabelText = HighLoseLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	HighLoseLabelText:SetPoint("TOPLEFT",5,0);
	HighLoseLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	HighLoseLabelText:SetTextColor(1,1,1,1);
	HighLoseLabelText:SetJustifyH("LEFT");
	HighLoseLabelText:SetText("Highest Loss:");

	 -- HIGHEST BET LOST FRAME (Formerly: HighLoseFrm)
	local HighLoseFrame = CreateFrame("Frame",nil,self);
	HighLoseFrame:SetPoint("TOPLEFT",105,-65);
	HighLoseFrame:SetWidth(50);
	HighLoseFrame:SetHeight(20);
	addon.HighLoseFrame = HighLoseFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local HighLoseFrameText = addon.HighLoseFrame;
	HighLoseFrameText:SetPoint("TOPLEFT",5,0);
	HighLoseFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	HighLoseFrameText:SetTextColor(1,0,0,1);
	HighLoseFrameText:SetJustifyH("LEFT");

	 -- LONGEST MATCH LABEL (Formerly: LongGameLbl)
	local LongGameLabel = CreateFrame("Frame",nil,self);
	LongGameLabel:SetPoint("TOPLEFT",8,-85);
	LongGameLabel:SetWidth(50);
	LongGameLabel:SetHeight(20);
	local LongGameLabelText = LongGameLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	LongGameLabelText:SetPoint("TOPLEFT",5,0);
	LongGameLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	LongGameLabelText:SetTextColor(1,1,1,1);
	LongGameLabelText:SetJustifyH("LEFT");
	LongGameLabelText:SetText("Longest Game:");

	 -- LONGEST MATCH FRAME (Formerly: LongGameFrm)
	local LongGameFrame = CreateFrame("Frame",nil,self);
	LongGameFrame:SetPoint("TOPLEFT",105,-85);
	LongGameFrame:SetWidth(50);
	LongGameFrame:SetHeight(20);
	addon.LongGameFrame = LongGameFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local LongGameFrameText = addon.LongGameFrame;
	LongGameFrameText:SetPoint("TOPLEFT",5,0);
	LongGameFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	LongGameFrameText:SetTextColor(1,0,0,1);
	LongGameFrameText:SetJustifyH("LEFT");

	 -- WORST ROLL LABEL (Formerly: WorstRollLbl)
	local WorstRollLabel = CreateFrame("Frame",nil,self);
	WorstRollLabel:SetPoint("TOPLEFT",8,-105);
	WorstRollLabel:SetWidth(50);
	WorstRollLabel:SetHeight(20);
	local WorstRollLabelText = WorstRollLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	WorstRollLabelText:SetPoint("TOPLEFT",5,0);
	WorstRollLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WorstRollLabelText:SetTextColor(1,1,1,1);
	WorstRollLabelText:SetJustifyH("LEFT");
	WorstRollLabelText:SetText("Worst Roll:");

	 -- WORST ROLL FRAME (Formerly: WorstRollFrm)
	local WorstRollFrame = CreateFrame("Frame",nil,self);
	WorstRollFrame:SetPoint("TOPLEFT",105,-105);
	WorstRollFrame:SetWidth(50);
	WorstRollFrame:SetHeight(20);
	addon.WorstRollFrame = WorstRollFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local WorstRollFrameText = addon.WorstRollFrame;
	WorstRollFrameText:SetPoint("TOPLEFT",5,0);
	WorstRollFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WorstRollFrameText:SetTextColor(1,0,0,1);
	WorstRollFrameText:SetJustifyH("LEFT");

	 -- WORST CHANCE LABEL (Formerly: WorstChanLbl)
	local WorstChanceLabel = CreateFrame("Frame",nil,self);
	WorstChanceLabel:SetPoint("TOPLEFT",8,-125);
	WorstChanceLabel:SetWidth(50);
	WorstChanceLabel:SetHeight(20);
	local WorstChanceLabelText = WorstChanceLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	WorstChanceLabelText:SetPoint("TOPLEFT",5,0);
	WorstChanceLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WorstChanceLabelText:SetTextColor(1,1,1,1);
	WorstChanceLabelText:SetJustifyH("LEFT");
	WorstChanceLabelText:SetText("Worst Chance:");

	 -- WORST CHANCE FRAME (Formerly: WorstChanFrm)
	local WorstChanceFrame = CreateFrame("Frame",nil,self);
	WorstChanceFrame:SetPoint("TOPLEFT",105,-125);
	WorstChanceFrame:SetWidth(50);
	WorstChanceFrame:SetHeight(20);
	addon.WorstChanceFrame = WorstChanceFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local WorstChanceFrameText = addon.WorstChanceFrame;
	WorstChanceFrameText:SetPoint("TOPLEFT",5,0);
	WorstChanceFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WorstChanceFrameText:SetTextColor(1,0,0,1);
	WorstChanceFrameText:SetJustifyH("LEFT");
	
	 -- TOTAL WINNINGS LABEL (Formerly: TotW_Lbl)
	local TotalWinLabel = CreateFrame("Frame",nil,self);
	TotalWinLabel:SetPoint("TOPLEFT",8,-145);
	TotalWinLabel:SetWidth(50);
	TotalWinLabel:SetHeight(20);
	local TotalWinLabelText = TotalWinLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	TotalWinLabelText:SetPoint("TOPLEFT",5,0);
	TotalWinLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	TotalWinLabelText:SetTextColor(1,1,1,1);
	TotalWinLabelText:SetJustifyH("LEFT");
	TotalWinLabelText:SetText("Gold Won:");

	 -- TOTAL WINNING FRAME (Formerly: TotW_Frm)
	local TotalWinFrame = CreateFrame("Frame",nil,self);
	TotalWinFrame:SetPoint("TOPLEFT",105,-145);
	TotalWinFrame:SetWidth(50);
	TotalWinFrame:SetHeight(20);
	addon.TotalWinFrame = TotalWinFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local TotalWinFrameText = addon.TotalWinFrame;
	TotalWinFrameText:SetPoint("TOPLEFT",5,0);
	TotalWinFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	TotalWinFrameText:SetTextColor(1,0,0,1);
	TotalWinFrameText:SetJustifyH("LEFT");
	
	 -- TOTAL GOLD LOST LABEL (Formerly: TotL_Lbl)
	local TotalLoseLabel = CreateFrame("Frame",nil,self);
	TotalLoseLabel:SetPoint("TOPLEFT",8,-165);
	TotalLoseLabel:SetWidth(50);
	TotalLoseLabel:SetHeight(20);
	local TotalLoseLabelText = TotalLoseLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	TotalLoseLabelText:SetPoint("TOPLEFT",5,0);
	TotalLoseLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	TotalLoseLabelText:SetTextColor(1,1,1,1);
	TotalLoseLabelText:SetJustifyH("LEFT");
	TotalLoseLabelText:SetText("Gold Lost:");

	 -- TOTAL GOLD LOST FRAME (Formerly: TotL_Frm)
	local TotalLoseFrame = CreateFrame("Frame",nil,self);
	TotalLoseFrame:SetPoint("TOPLEFT",105,-165);
	TotalLoseFrame:SetWidth(50);
	TotalLoseFrame:SetHeight(20);
	addon.TotalLoseFrame = TotalLoseFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local TotalLoseFrameText = addon.TotalLoseFrame;
	TotalLoseFrameText:SetPoint("TOPLEFT",5,0);
	TotalLoseFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	TotalLoseFrameText:SetTextColor(1,0,0,1);
	TotalLoseFrameText:SetJustifyH("LEFT");

	 -- GOLD RATIO LABEL (Formerly: gRatioLbl)
	local GoldRatioLabel = CreateFrame("Frame",nil,self);
	GoldRatioLabel:SetPoint("TOPLEFT",8,-185);
	GoldRatioLabel:SetWidth(50);
	GoldRatioLabel:SetHeight(20);
	local GoldRatioLabelText = GoldRatioLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	GoldRatioLabelText:SetPoint("TOPLEFT",5,0);
	GoldRatioLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	GoldRatioLabelText:SetTextColor(1,1,1,1);
	GoldRatioLabelText:SetJustifyH("LEFT");
	GoldRatioLabelText:SetText("Gold Ratio:");

	 -- GOLD RATIO FRAME (Formerly: gRatioFrm)
	local GoldRatioFrame = CreateFrame("Frame",nil,self);
	GoldRatioFrame:SetPoint("TOPLEFT",105,-185);
	GoldRatioFrame:SetWidth(50);
	GoldRatioFrame:SetHeight(20);
	addon.GoldRatioFrame = GoldRatioFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local GoldRatioFrameText = addon.GoldRatioFrame;
	GoldRatioFrameText:SetPoint("TOPLEFT",5,0);
	GoldRatioFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	GoldRatioFrameText:SetTextColor(1,0,0,1);
	GoldRatioFrameText:SetJustifyH("LEFT");
	
	 -- PLAYER STAT GROUP (Formerly: Grp)
	local PlayerStatGroup = CreateFrame("Frame",nil,self);
	PlayerStatGroup:SetWidth(180);
	PlayerStatGroup:SetHeight(187);
	PlayerStatGroup:SetPoint("TOP",0,-205);
	PlayerStatGroup:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});

	 -- TOTAL TITLE LABEL (Formerly: TotalLbl)
	local TotalLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	TotalLabel:SetPoint("TOP",0,-7);
	TotalLabel:SetWidth(50);
	TotalLabel:SetHeight(20);
	addon.TotalLabel = TotalLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local TotalLabelText = addon.TotalLabel;
	TotalLabelText:SetPoint("TOP",0,0);
	TotalLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	TotalLabelText:SetTextColor(1,1,1,1);
	TotalLabelText:SetJustifyH("CENTER");
	TotalLabelText:SetText("Overall Totals");

	 -- GAMES LABEL (Formerly: GameLbl)
	local GamesLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	GamesLabel:SetPoint("TOPLEFT",3,-27);
	GamesLabel:SetWidth(50);
	GamesLabel:SetHeight(20);
	local GamesLabelText = GamesLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	GamesLabelText:SetPoint("TOPLEFT",5,0);
	GamesLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	GamesLabelText:SetTextColor(1,1,1,1);
	GamesLabelText:SetJustifyH("LEFT");
	GamesLabelText:SetText("Games:");

	 -- GAMES FRAME (Formerly: GameFrm)
	local GamesFrame = CreateFrame("Frame",nil,PlayerStatGroup);
	GamesFrame:SetPoint("TOPLEFT",85,-27);
	GamesFrame:SetWidth(50);
	GamesFrame:SetHeight(20);
	addon.GamesFrame = GamesFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local GamesFrameText = addon.GamesFrame;
	GamesFrameText:SetPoint("TOPLEFT",5,0);
	GamesFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	GamesFrameText:SetTextColor(1,0,0,1);
	GamesFrameText:SetJustifyH("LEFT");

	 -- WIN LABEL (Formerly: WinLbl)
	local WinLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	WinLabel:SetPoint("TOPLEFT",3,-47);
	WinLabel:SetWidth(50);
	WinLabel:SetHeight(20);
	local WinLabelText = WinLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	WinLabelText:SetPoint("TOPLEFT",5,0);
	WinLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WinLabelText:SetTextColor(1,1,1,1);
	WinLabelText:SetJustifyH("LEFT");
	WinLabelText:SetText("Wins:");

	 -- WIN NAME FRAME (Formerly: WinFrm)
	local WinFrame = CreateFrame("Frame",nil,PlayerStatGroup);
	WinFrame:SetPoint("TOPLEFT",85,-47);
	WinFrame:SetWidth(50);
	WinFrame:SetHeight(20);
	addon.WinFrame = WinFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local WinFrameText =  addon.WinFrame;
	WinFrameText:SetPoint("TOPLEFT",5,0);
	WinFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WinFrameText:SetTextColor(1,0,0,1);
	WinFrameText:SetJustifyH("LEFT");

	 -- LOSS LABEL (Formerly: LossLbl)
	local LossLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	LossLabel:SetPoint("TOPLEFT",3,-67);
	LossLabel:SetWidth(50);
	LossLabel:SetHeight(20);
	local LossLabelText = LossLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	LossLabelText:SetPoint("TOPLEFT",5,0);
	LossLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	LossLabelText:SetTextColor(1,1,1,1);
	LossLabelText:SetJustifyH("LEFT");
	LossLabelText:SetText("Losses:");

	 -- LOSS NAME FRAME (Formerly: LossFrm)
	local LossFrame = CreateFrame("Frame",nil,PlayerStatGroup);
	LossFrame:SetPoint("TOPLEFT",85,-67);
	LossFrame:SetWidth(50);
	LossFrame:SetHeight(20);
	addon.LossFrame = LossFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local LossFrameText = addon.LossFrame;
	LossFrameText:SetPoint("TOPLEFT",5,0);
	LossFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	LossFrameText:SetTextColor(1,0,0,1);
	LossFrameText:SetJustifyH("LEFT");
	
	 -- WIN RATIO LABEL (Formerly: RatioLbl)
	local WinRatioLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	WinRatioLabel:SetPoint("TOPLEFT",3,-87);
	WinRatioLabel:SetWidth(50);
	WinRatioLabel:SetHeight(20);
	local WinRatioLabelText = WinRatioLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	WinRatioLabelText:SetPoint("TOPLEFT",5,0);
	WinRatioLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WinRatioLabelText:SetTextColor(1,1,1,1);
	WinRatioLabelText:SetJustifyH("LEFT");
	WinRatioLabelText:SetText("Ratio:");

	 -- WIN RATIO FRAME (Formerly: RatioFrm)
	local WinRatioFrame = CreateFrame("Frame",nil,PlayerStatGroup);
	WinRatioFrame:SetPoint("TOPLEFT",85,-87);
	WinRatioFrame:SetWidth(50);
	WinRatioFrame:SetHeight(20);
	addon.WinRatioFrame = WinRatioFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local WinRatioFrameText = addon.WinRatioFrame;
	WinRatioFrameText:SetPoint("TOPLEFT",5,0);
	WinRatioFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WinRatioFrameText:SetTextColor(1,0,0,1);
	WinRatioFrameText:SetJustifyH("LEFT");
	
	 -- CANCEL LABEL (Formerly: CancelLbl
	local CancelLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	CancelLabel:SetPoint("TOPLEFT",3,-107);
	CancelLabel:SetWidth(50);
	CancelLabel:SetHeight(20);
	local CancelLabelText = CancelLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	CancelLabelText:SetPoint("TOPLEFT",5,0);
	CancelLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	CancelLabelText:SetTextColor(1,1,1,1);
	CancelLabelText:SetJustifyH("LEFT");
	CancelLabelText:SetText("Cancels:");

	 -- CANCELS FRAME (Formerly: CancelFrm)
	local CancelFrame = CreateFrame("Frame",nil,PlayerStatGroup);
	CancelFrame:SetPoint("TOPLEFT",85,-107);
	CancelFrame:SetWidth(50);
	CancelFrame:SetHeight(20);
	addon.CancelFrame = CancelFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local CancelFrameText = addon.CancelFrame;
	CancelFrameText:SetPoint("TOPLEFT",5,0);
	CancelFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	CancelFrameText:SetTextColor(1,0,0,1);
	CancelFrameText:SetJustifyH("LEFT");

	 -- WIN PERCENTAGE LABEL (Formerly: PercLbl)
	local WinPercLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	WinPercLabel:SetPoint("TOPLEFT",3,-127);
	WinPercLabel:SetWidth(50);
	WinPercLabel:SetHeight(20);
	local WinPercLabelText = WinPercLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	WinPercLabelText:SetPoint("TOPLEFT",5,0);
	WinPercLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WinPercLabelText:SetTextColor(1,1,1,1);
	WinPercLabelText:SetJustifyH("LEFT");
	WinPercLabelText:SetText("Win %:");

	 -- WIN PERCENTAGE FRAME (Formerly: PercFrm)
	local WinPercFrame = CreateFrame("Frame",nil,PlayerStatGroup);
	WinPercFrame:SetPoint("TOPLEFT",85,-127);
	WinPercFrame:SetWidth(50);
	WinPercFrame:SetHeight(20);
	addon.WinPercFrame = WinPercFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local WinPercFrameText = addon.WinPercFrame;
	WinPercFrameText:SetPoint("TOPLEFT",5,0);
	WinPercFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WinPercFrameText:SetTextColor(1,0,0,1);
	WinPercFrameText:SetJustifyH("LEFT");

	 -- CANCEL PERCENTAGE LABEL (Formerly: CanPLbl)
	local CancelPercLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	CancelPercLabel:SetPoint("TOPLEFT",3,-147);
	CancelPercLabel:SetWidth(50);
	CancelPercLabel:SetHeight(20);
	local CancelPercLabelText = CancelPercLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	CancelPercLabelText:SetPoint("TOPLEFT",5,0);
	CancelPercLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	CancelPercLabelText:SetTextColor(1,1,1,1);
	CancelPercLabelText:SetJustifyH("LEFT");
	CancelPercLabelText:SetText("Cancel %:");

	 -- CANCEL PERCENTAGE FRAME (Formerly: CanPFrm)
	local CancelPercFrame = CreateFrame("Frame",nil,PlayerStatGroup);
	CancelPercFrame:SetPoint("TOPLEFT",85,-147);
	CancelPercFrame:SetWidth(50);
	CancelPercFrame:SetHeight(20);
	addon.CancelPercFrame = CancelPercFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local CancelPercFrameText = addon.CancelPercFrame;
	CancelPercFrameText:SetPoint("TOPLEFT",5,0);
	CancelPercFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	CancelPercFrameText:SetTextColor(1,0,0,1);
	CancelPercFrameText:SetJustifyH("LEFT");
	
	 -- BALANCE LABEL (Formerly: BalLbl)
	local BalanceLabel = CreateFrame("Frame",nil,PlayerStatGroup);
	BalanceLabel:SetPoint("TOPLEFT",3,-167);
	BalanceLabel:SetWidth(50);
	BalanceLabel:SetHeight(20);
	local BalanceLabelText = BalanceLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	BalanceLabelText:SetPoint("TOPLEFT",5,0);
	BalanceLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	BalanceLabelText:SetTextColor(1,1,1,1);
	BalanceLabelText:SetJustifyH("LEFT");
	BalanceLabelText:SetText("Balance:");

	 -- BALANCE FRAME (Formerly: BalFrm)
	local BalanceFrame = CreateFrame("Frame",nil,PlayerStatGroup);
	BalanceFrame:SetPoint("TOPLEFT",85,-167);
	BalanceFrame:SetWidth(50);
	BalanceFrame:SetHeight(20);
	addon.BalanceFrame = BalanceFrame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local BalanceFrameText = addon.BalanceFrame;
	BalanceFrameText:SetPoint("TOPLEFT",5,0);
	BalanceFrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	BalanceFrameText:SetTextColor(1,0,0,1);
	BalanceFrameText:SetJustifyH("LEFT");

	 -- STATS FRAME CLOSE BUTTON (Formerly: CloseBtn)
	addon.CloseStatBtn = CreateFrame("Button",nil,self,"UIPanelButtonTemplate");
	local CloseStatBtn = addon.CloseStatBtn;
	CloseStatBtn:SetWidth(80);
	CloseStatBtn:SetHeight(22);
	CloseStatBtn:SetText("Close");
	CloseStatBtn:SetPoint("BOTTOM",0,10);
	CloseStatBtn:SetScript("OnClick",function()
		self:Hide();
	end);
end