local name, addon = ...;

function addon.initWarningFrame(self)
	-- WARNING FRAME
	self:SetMovable(true);
	self:EnableMouse(true);
	self:RegisterForDrag("LeftButton");
	self:SetScript("OnDragStart", self.StartMoving);
	self:SetScript("OnDragStop", self.StopMovingOrSizing);
	self:ClearAllPoints();
	self:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	self:SetHeight(100);
	self:SetWidth(300);
	self:SetPoint("CENTER", 0, 0);
	self:Hide();
	 
	 -- WARNING FRAME HEADER
	local Header = CreateFrame("Frame",nil,self);
	Header:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	Header:SetPoint("TOP",0,7);
	Header:SetHeight(17);
	Header:SetWidth(100);
	local HeaderText = Header:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	HeaderText:SetPoint("TOP",0,-4);
	HeaderText:SetFont("Fonts\\FRIZQT__.TTF", 10);
	HeaderText:SetTextColor(1,1,1,1);
	HeaderText:SetJustifyH("CENTER");
	HeaderText:SetText("WoW Bets");
	
	 -- WARNING TEXT (Formerly: WarningLbl)
	local WarningLabel = CreateFrame("Frame",nil,self);
	WarningLabel:SetPoint("TOP",0,-30);
	WarningLabel:SetWidth(50);
	WarningLabel:SetHeight(20);
	local WarningLabelText = WarningLabel:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	WarningLabelText:SetPoint("CENTER",0,0);
	WarningLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	WarningLabelText:SetTextColor(1,1,1,1);
	WarningLabelText:SetJustifyH("CENTER");
	WarningLabelText:SetText("Due to ToS Restrictions for your region,\nthis addon has been prevented from loading.\nSorry!");
	
	 -- CLOSE WARNING FRAME BUTTON (Formerly: CloseBtn)
	local CloseWarningBtn = CreateFrame("Button",nil,self,"UIPanelButtonTemplate");
	CloseWarningBtn:SetWidth(80);
	CloseWarningBtn:SetHeight(22);
	CloseWarningBtn:SetText("Close");
	CloseWarningBtn:SetPoint("BOTTOM",0,10);
	CloseWarningBtn:SetScript("OnClick",function()
		local editbox=ChatEdit_ChooseBoxForSend(DEFAULT_CHAT_FRAME);
		DisableAddOn(name);
		ChatEdit_ActivateChat(editbox);
		editbox:SetText("/console reloadui");
		ChatEdit_OnEnterPressed(editbox);
	end);
end